| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_ad_channel_list::unAdcChannels::stcChannelBits Struct Reference

`#include <adc.h>`

## Data Fields
uint32_t | AD_CH_0: 1
uint32_t | AD_CH_1: 1
uint32_t | AD_CH_2: 1
uint32_t | AD_CH_3: 1
uint32_t | AD_CH_4: 1
uint32_t | AD_CH_5: 1
uint32_t | AD_CH_6: 1
uint32_t | AD_CH_7: 1
uint32_t | AD_CH_8: 1
uint32_t | AD_CH_9: 1
uint32_t | AD_CH_10: 1
uint32_t | AD_CH_11: 1
uint32_t | AD_CH_12: 1
uint32_t | AD_CH_13: 1
uint32_t | AD_CH_14: 1
uint32_t | AD_CH_15: 1
uint32_t | AD_CH_16: 1
uint32_t | AD_CH_17: 1
uint32_t | AD_CH_18: 1
uint32_t | AD_CH_19: 1
uint32_t | AD_CH_20: 1
uint32_t | AD_CH_21: 1
uint32_t | AD_CH_22: 1
uint32_t | AD_CH_23: 1
uint32_t | AD_CH_24: 1
uint32_t | AD_CH_25: 1
uint32_t | AD_CH_26: 1
uint32_t | AD_CH_27: 1
uint32_t | AD_CH_28: 1
uint32_t | AD_CH_29: 1
uint32_t | AD_CH_30: 1
uint32_t | AD_CH_31: 1

## Detailed Description

Definition at line 231 of file adc.h.

## Field Documentation

uint32_t AD_CH_0

Definition at line 233 of file adc.h.

uint32_t AD_CH_1

Definition at line 234 of file adc.h.

uint32_t AD_CH_10

Definition at line 243 of file adc.h.

uint32_t AD_CH_11

Definition at line 244 of file adc.h.

uint32_t AD_CH_12

Definition at line 245 of file adc.h.

uint32_t AD_CH_13

Definition at line 246 of file adc.h.

uint32_t AD_CH_14

Definition at line 247 of file adc.h.

uint32_t AD_CH_15

Definition at line 248 of file adc.h.

uint32_t AD_CH_16

Definition at line 249 of file adc.h.

uint32_t AD_CH_17

Definition at line 250 of file adc.h.

uint32_t AD_CH_18

Definition at line 251 of file adc.h.

uint32_t AD_CH_19

Definition at line 252 of file adc.h.

uint32_t AD_CH_2

Definition at line 235 of file adc.h.

uint32_t AD_CH_20

Definition at line 253 of file adc.h.

uint32_t AD_CH_21

Definition at line 254 of file adc.h.

uint32_t AD_CH_22

Definition at line 255 of file adc.h.

uint32_t AD_CH_23

Definition at line 256 of file adc.h.

uint32_t AD_CH_24

Definition at line 257 of file adc.h.

uint32_t AD_CH_25

Definition at line 258 of file adc.h.

uint32_t AD_CH_26

Definition at line 259 of file adc.h.

uint32_t AD_CH_27

Definition at line 260 of file adc.h.

uint32_t AD_CH_28

Definition at line 261 of file adc.h.

uint32_t AD_CH_29

Definition at line 262 of file adc.h.

uint32_t AD_CH_3

Definition at line 236 of file adc.h.

uint32_t AD_CH_30

Definition at line 263 of file adc.h.

uint32_t AD_CH_31

Definition at line 264 of file adc.h.

uint32_t AD_CH_4

Definition at line 237 of file adc.h.

uint32_t AD_CH_5

Definition at line 238 of file adc.h.

uint32_t AD_CH_6

Definition at line 239 of file adc.h.

uint32_t AD_CH_7

Definition at line 240 of file adc.h.

uint32_t AD_CH_8

Definition at line 241 of file adc.h.

uint32_t AD_CH_9

Definition at line 242 of file adc.h.

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/adc/adc.h